%bcond_without mead

%define reltag .SP4_redhat_2
%global namedreltag -SP4-redhat-2
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.0-SP4-redhat-2

Name:           weld-cdi-1.0-api
Version:        1.0
Release:        8%{?reltag}%{?dist}
Summary:        CDI APIs
Group:          Development/Java

%if %with mead
Source100: javax.enterprise-cdi-api-1.0-SP4-redhat-2-sources.zip
Source101: javax.enterprise-cdi-api-1.0-SP4-redhat-2-patches.zip
Source102: cdi-api-1.0-SP4-redhat-2.pom
Source103: cdi-api-1.0-SP4-redhat-2-sources.jar
Source104: cdi-api-1.0-SP4-redhat-2.jar
Source105: cdi-api-1.0-SP4-redhat-2-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.seamframework.org/Weld
Requires:       jpackage-utils
%if %without mead
Source0:          %{name}-%{namedversion}.tar.xz
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if %without mead
BuildRequires:  maven2
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  surefire-junit4
BuildRequires:  jboss-parent
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%if %without mead
%package javadoc
Group:          Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%if %without mead
%setup -q -n weld-cdi-1.0-api-%{namedversion}
%endif

%build
%if %without mead
# Many tests fail
mvn-jpp -Dmaven.test.failure.ignore package javadoc:aggregate
%endif

%install
rm -rf %{buildroot}

# jar
mkdir -p %{buildroot}%{_javadir}/jboss
%if %without mead
cp -p target/cdi-api-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/cdi-api-%{namedversion}.jar
%else
cp -p %{_sourcedir}/cdi-api-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/cdi-api-%{namedversion}.jar
%endif
(cd %{buildroot}%{_javadir}/jboss && for jar in *-%{namedversion}*; do ln -s ${jar} ${jar/-%{namedversion}/}; done)

%if %without mead
# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
ln -s %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

# pom
mkdir -p %{buildroot}%{_mavenpomdir}
%if %without mead
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%else
cp -p %{_sourcedir}/cdi-api-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.jboss-cdi-api.pom
%endif

# depmap
%add_to_maven_depmap javax.enterprise cdi-api %{namedversion} JPP/jboss cdi-api

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/jboss
%{_javadir}/jboss/cdi-api-%{namedversion}.jar
%{_javadir}/jboss/cdi-api.jar
%{_mavenpomdir}/JPP.jboss-cdi-api.pom
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Sat Dec 22 2012 David Walluck <dwalluck@redhat.com> 0:1.0-8
- fix Release tag

* Sat Dec 22 2012 David Walluck <dwalluck@redhat.com> 0:1.0-7
- fix broken maven support
- remove buildroot in install
- add clean section
- fix bad file ownership
- fix bad version in file names
- fix bad permissions
- version file and add unversioned symlink
- ignore test failures

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-6.SP4_redhat_2.5
- Rebuild for MD5

* Fri Aug 24 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0-5.SP4_redhat_2.5
- Rebuild unsigned for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_2.3
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0-5.SP4_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-5.SP4_redhat_1
- Rebuild
- Fix release tag numbering
- Remove repository definitions from the pom.xml
- Fix manifest related issues

* Wed Mar 14 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-4_SP4_redhat_1.2
- Update RPM wrapper structure

* Tue Feb 28 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0-4_SP4_redhat_1.1
- Rebuild with javadir-signed

* Wed Feb 08 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0-4_SP4_redhat_1
- Update RPM wrapper structure for EAP 6

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0-3_SP4_redhat_1
- Rebuild to use new signing key

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-2_SP4_redhat_1
- Remove duplicate dependency management

* Thu Aug 18 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0-1_SP4_redhat_1
- Patched by vman
- Fix JBoss Specs deps

* Mon Aug 01 2011 Weinan Li <weli@redhat.com> 0:1.0-1
- Adapt for EAP 6
- no repolib when building with MEAD
